## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationHtpasswdOptions

### Authentication::ezcAuthenticationHtpasswdOptions

### Class ezcAuthenticationHtpasswdOptions

Class containing the options for the htpasswd authentication filter.

Example of use:

1. // create an options object
2. $options=new ezcAuthenticationHtpasswdOptions ();
3. $options->plain=true;
5. // use the options object when creating a new htpasswd filter
6. $filter=new ezcAuthenticationHtpasswdFilter ('/etc/htpasswd',$options);
8. // alternatively, you can set the options to an existing filter
9. $filter=new ezcAuthenticationHtpasswdFilter ('/etc/htpasswd');
10. $filter->setOptions($options);

Source for this file: /Authentication/src/options/htpasswd_options.php

    ezcBaseOptions
       |
       --ezcAuthenticationFilterOptions
          |
          --ezcAuthenticationHtpasswdOptions

Version: | //autogen//

### Properties

bool | read/write | `$plain` Specifies if the password is passed to the filter in plain text or encrypted. The encryption will be autodetected by the filter from the password stored in the htpasswd file.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcAuthenticationHtpasswdOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcAuthenticationFilterOptions
public ezcAuthenticationFilterOptions | `ezcAuthenticationFilterOptions::__construct()` Constructs an object with the specified values.
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcAuthenticationHtpasswdOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | Options for this class

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcAuthenticationFilterOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3